MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025128Community[OCCT] OCCT:Modeling Algorithmspublic2014-08-06 08:592014-11-11 12:57
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025128: Memory leak in BOPDS_DS::Paves()
DescriptionMemory leak has been detected in BOPDS_DS::Paves().

The issue comes from OCC Forum: http://www.opencascade.org/org/forum/thread_26382/?forum=3 [^]
Additional information
and documentation updates
class BOPDS_DS
  method
    void BOPDS_DS::Paves(const Standard_Integer theEdge,
                         BOPDS_ListOfPave& theLP)
class BOPDS_PaveBlock
  method
    void BOPDS_PaveBlock::Update(BOPDS_ListOfPaveBlock& theLPB,
                                 const Standard_Boolean theFlag)

 Using NCollection_Array1 class to ensure proper allocation and deallocation of memory.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030592)
git (administrator)
2014-08-06 09:08

Branch CR25128 has been created by emv.

SHA-1: d7d13cb8462eb52ebdcec467a89a6756e05960c7


This branch includes the following new commits:

       new d7d13cb 0025128: Memory leak in BOPDS_DS::Paves()


Detailed log of new commits:

commit d7d13cb8462eb52ebdcec467a89a6756e05960c7
Author: emv
Date: Wed Aug 6 09:08:16 2014 +0400

    0025128: Memory leak in BOPDS_DS::Paves()
    
    class BOPDS_DS
    method
      void BOPDS_DS::Paves(const Standard_Integer theEdge,
                           BOPDS_ListOfPave& theLP)
    
    Free allocated memory.
(0030593)
emv (developer)
2014-08-06 09:10

Git branch is ready to be reviewed.
(0030596)
abv (manager)
2014-08-06 09:46

Please use NCollection_Array or other class to ensure that allocation / deallocation is organized properly and not done manually in C-style.
(0030612)
git (administrator)
2014-08-07 10:09

Branch CR25128 has been updated forcibly by emv.

SHA-1: 1014b44a71bb9652ad62772bb508d55032961d57
(0030613)
emv (developer)
2014-08-07 10:12

Git branch is ready to be reviewed.
(0030615)
git (administrator)
2014-08-07 11:36

Branch CR25128 has been updated forcibly by emv.

SHA-1: d373c569dd885c5cc3492f7293328b169a65723d
(0030616)
abv (manager)
2014-08-07 11:46

No remarks, please test
(0030635)
git (administrator)
2014-08-08 16:10

Branch CR25128 has been updated forcibly by apv.

SHA-1: 23e974c34c35767eb7355e7606064be4fb897770
(0030677)
apv (tester)
2014-08-12 13:44

Dear BugMaster,

Branch CR25128 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 23e974c34c35767eb7355e7606064be4fb897770

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 348727836 / 348628408
Total CPU difference: 43993.71000000004 / 43340.71000000007

Testing on Windows:
Total MEMORY difference: 239015780 / 239709728
Total CPU difference: 30140.171875 / 28459.046875
(0030815)
git (administrator)
2014-08-18 11:07

Branch CR25128 has been deleted by inv.

SHA-1: 23e974c34c35767eb7355e7606064be4fb897770

- Related Changesets
occt: master 7a76337e
Timestamp: 2014-08-07 06:09:12
Author: emv
Committer: bugmaster
Details ] Diff ]
0025128: Memory leak in BOPDS_DS::Paves()

class BOPDS_DS
 method
   void BOPDS_DS::Paves(const Standard_Integer theEdge,
                        BOPDS_ListOfPave& theLP)
class BOPDS_PaveBlock
 method
   void BOPDS_PaveBlock::Update(BOPDS_ListOfPaveBlock& theLPB,
                                const Standard_Boolean theFlag)

Using NCollection_Array1 class to ensure proper allocation and deallocation of memory.
mod - src/BOPDS/BOPDS.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPave.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.cxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfPave.hxx Diff ] File ]
mod - src/BOPDS/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-06 08:59 emv New Issue
2014-08-06 08:59 emv Assigned To => emv
2014-08-06 09:08 git Note Added: 0030592
2014-08-06 09:10 emv Note Added: 0030593
2014-08-06 09:10 emv Assigned To emv => abv
2014-08-06 09:10 emv Status new => resolved
2014-08-06 09:10 emv Additional Information Updated View Revisions
2014-08-06 09:18 emv Description Updated View Revisions
2014-08-06 09:46 abv Note Added: 0030596
2014-08-06 09:46 abv Assigned To abv => emv
2014-08-06 09:46 abv Status resolved => assigned
2014-08-07 10:09 git Note Added: 0030612
2014-08-07 10:12 emv Note Added: 0030613
2014-08-07 10:12 emv Assigned To emv => abv
2014-08-07 10:12 emv Status assigned => resolved
2014-08-07 10:12 emv Additional Information Updated View Revisions
2014-08-07 11:36 git Note Added: 0030615
2014-08-07 11:46 abv Note Added: 0030616
2014-08-07 11:46 abv Assigned To abv => bugmaster
2014-08-07 11:46 abv Status resolved => reviewed
2014-08-08 15:56 apv Assigned To bugmaster => apv
2014-08-08 16:10 git Note Added: 0030635
2014-08-12 13:40 apv Test case number => Not needed
2014-08-12 13:40 apv Target Version => 6.8.0
2014-08-12 13:44 apv Note Added: 0030677
2014-08-12 13:44 apv Assigned To apv => bugmaster
2014-08-12 13:44 apv Status reviewed => tested
2014-08-15 11:25 bugmaster Changeset attached => occt master 7a76337e
2014-08-15 11:25 bugmaster Status tested => verified
2014-08-15 11:25 bugmaster Resolution open => fixed
2014-08-18 11:07 git Note Added: 0030815
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:57 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker